<template>
    <div class="chartListBox" :childData="childData">
        <div class="aside-title">{{ childData.title }}</div>
        <div class="echartBox">
            <table class="chartTable">
                <tr>
                    <th></th>
                    <th>
                        已复电
                    </th>
                    <th>
                        未复电
                    </th>
                    <th>
                        总数
                    </th>
                </tr>
                <tr>
                    <td class="chartTd" colspan="4">
                        <div class=" elDriver">
                        </div>
                    </td>
                </tr>
                <tr v-for="(item,i) in childData.val">
                    <td>{{ item.name }}</td>
                    <td style="color:#67c23a">{{ item.v1 }}</td>
                    <td style="color:#f56c6c"> {{ item.v2 }}</td>
                    <td style="color:#409eff">{{ item.count }}</td>
                </tr>
            </table>
        </div>
    </div>
</template>

<script>


export default {
    props: {
        childData: {
            type: Object,
            default: null
        }
    },
    data() {
        return {
            // childData:null,
        }
    }
}
</script>

<style lang="scss" scoped>
.chartListBox {
    width: 100%;
    height: 100%;
    position: relative;
    display: flex;
    flex-direction: column;

    .aside-title {
        box-sizing: border-box;
        padding-left: 30px;
        font-size: 15px;
        font-family: YouSheBiaoTiHei, YouSheBiaoTiHei-Regular;
        color: #fff;
        width: 100%;
        height: 45px;
        line-height: 45px;
        background-size: 100% 100%;
        background-repeat: no-repeat;
    }

    .echartBox {
        flex: 1;
        padding: 5px;
        position: relative;
        color: white;
        display: flex;
   

        .chartTd {
            width: 100%;
            padding: 0px !important;
        }

        .elDriver {
            width: 100%;
            height: 2px;
            background: #409EFF;
            margin: 0px 0px;

        }

        .chartTable {
            width: 100%;
th{
    text-align: center;
}
            td {
                text-align: center;
            }
        }

    }
}
</style>